Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.core.management
Interface HornetQComponentControl

All Known Subinterfaces:
  AcceptorControl, BridgeControl, BroadcastGroupControl, ClusterConnectionControl

    public interface HornetQComponentControl

A HornetQComponentControl is used to manage the life cycle of a HornetQ component.

Author:
  Jeff Mesnil

Method Summary
`boolean` | `isStarted()` Returns `true` if this component is started, `false` else.
`void` | `start()` Starts this component.
`void` | `stop()` Stops this component.

Method Detail

### isStarted

    boolean isStarted()

  Returns `true` if this component is started, `false` else.

### start

    void start()
               throws Exception

  Starts this component.

  Throws:
    `Exception`

### stop

    void stop()
              throws Exception

  Stops this component.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.